/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.scorm.individuallog;

import java.text.DecimalFormat;
import java.util.Date;

import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogGroupProgressStoreData;


/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogGroupProgressStoreDataWraper {
	public IndividualLogGroupProgressStoreData result = null;
	
	// 画面表示フォーマット（小数点以下第一位）
	public DecimalFormat objAvgFmt1 = new DecimalFormat( "###########0.0" );

	// 画面表示整数フォーマット（６桁）
	public DecimalFormat objIntFmt6 = new DecimalFormat( "###########0" );

	// 得点画面表示用フォーマット（整数部：１０桁、小数部：７桁）
	public DecimalFormat objFmtScore = new DecimalFormat( "#########0.#######" );
	
	/**
	 * @param result result を設定。
	 */
	public void setResult(IndividualLogGroupProgressStoreData result) {
		this.result = result;
	}
	/**
	 * @return result.result.result を戻します。
	 */
	public IndividualLogGroupProgressStoreData getResult() {
		return result;
	}
	/**
	 * @return result.blAssign を戻します。
	 */
	public boolean isBlAssign() {
		return result.blAssign;
	}
	/**
	 * @return result.blRecValid を戻します。
	 */
	public boolean isBlRecValid() {
		return result.blRecValid;
	}
	/**
	 * @return result.datEndDate を戻します。
	 */
	public Date getDatEndDate() {
		return result.datEndDate;
	}
	/**
	 * @return result.datStartDate を戻します。
	 */
	public Date getDatStartDate() {
		return result.datStartDate;
	}
	/**
	 * @return result.dwResidanceTime を戻します。
	 */
	public double getDwResidanceTime() {
		return result.dwResidanceTime;
	}
	/**
	 * @return result.dwStoreMaxScore を戻します。
	 */
	public double getDwStoreMaxScore() {
		return result.dwStoreMaxScore;
	}
	/**
	 * @return result.dwStoreNewScore を戻します。
	 */
	public double getDwStoreNewScore() {
		return result.dwStoreNewScore;
	}
	/**
	 * @return result.dwStoreScaledMaxScore を戻します。
	 */
	public double getDwStoreScaledMaxScore() {
		return result.dwStoreScaledMaxScore;
	}
	/**
	 * @return result.dwStoreScaledNewScore を戻します。
	 */
	public double getDwStoreScaledNewScore() {
		return result.dwStoreScaledNewScore;
	}
	/**
	 * @return result.lngAccessCount を戻します。
	 */
	public long getLngAccessCount() {
		return result.lngAccessCount;
	}
	/**
	 * @return result.lngActivityCnt を戻します。
	 */
	public long getLngActivityCnt() {
		return result.lngActivityCnt;
	}
	/**
	 * @return result.lngStudySessionCnt を戻します。
	 */
	public long getLngStudySessionCnt() {
		return result.lngStudySessionCnt;
	}
	/**
	 * @return result.lngUnitComplete を戻します。
	 */
	public long getLngUnitComplete() {
		return result.lngUnitComplete;
	}
	/**
	 * @return result.lngUnitPass を戻します。
	 */
	public long getLngUnitPass() {
		return result.lngUnitPass;
	}
	/**
	 * @return result.strGroupID を戻します。
	 */
	public String getStrGroupID() {
		return result.strGroupID;
	}
	/**
	 * @return result.strGroupName を戻します。
	 */
	public String getStrGroupName() {
		return result.strGroupName;
	}
	/**
	 * @return result.strUserID を戻します。
	 */
	public String getStrUserID() {
		return result.strUserID;
	}
	/**
	 * @return result.strUserName を戻します。
	 */
	public String getStrUserName() {
		return result.strUserName;
	}
}
